using VetClinicBusinessLogic.BusinessLogics;
using VetClinicContracts.BusinessLogicsContracts;
using VetClinicContracts.StoragesContracts;
using VetClinicDataBaseImplement.Implements;
using Microsoft.OpenApi.Models;

var builder = WebApplication.CreateBuilder(args);

builder.Logging.SetMinimumLevel(LogLevel.Trace);
builder.Logging.AddLog4Net("log4net.config");

// Add services to the container.

builder.Services.AddTransient<IAdminStorage, AdminStorage>();
//builder.Services.AddTransient<IAnimalStorage, AnimalStorage>();
//builder.Services.AddTransient<IAnimalStorage, AnimalStorage>();

builder.Services.AddTransient<IAdminLogic, AdminLogic>();
//builder.Services.AddTransient<IAnimalLogic, AnimalLogic>();
//builder.Services.AddTransient<IVisitLogic, VisitLogic>();

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();

builder.Services.AddSwaggerGen(c =>
{
    c.SwaggerDoc("v1", new OpenApiInfo { Title = "VetClinicRestApi", Version = "v1" });
});
var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI(c => c.SwaggerEndpoint("/swagger/v1/swagger.json", "DinerRestApi v1"));
}

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
